Bug 474522 - Incorrect cent sign glyph (U+00A2) in Sans and Mono style in Liberation fonts
Incorrect cent sign glyph (U+00A2) in Sans and Mono style in Liberation fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
11
All All
low Severity high
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks: 485746
  Show dependency treegraph
 
Reported: 2008-12-04 04:41 EST by san
Modified: 2010-05-05 04:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 04:04:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
cent sign incorrect (127.58 KB, image/png)
2008-12-04 04:41 EST, san
no flags Details
Display of cent sign in Sans and Mono with bytecode hinting (70.80 KB, image/png)
2009-01-09 01:01 EST, Cody Boisclair
no flags Details

  None (edit)
Description san 2008-12-04 04:41:25 EST
Created attachment 325660 [details]
cent sign incorrect 

cent sign shoud be a coressed  capital "C".
Comment 1 Caius Chance 2008-12-08 00:38:41 EST
Checked. They are all aesthetic preference from the original author. Hence, they should not be bug.
Comment 2 Caius Chance 2008-12-08 01:31:18 EST
I tried to work on your demand, could you kindly have a look sample:

http://fedorapeople.org/~cchance/packages/liberation-fonts/LiberationMono-BoldItalic.sfd

http://fedorapeople.org/~cchance/packages/liberation-fonts/LiberationMono-BoldItalic.ttf

Let me know if you are happy with that. So I could proceed changes on all included fonts.
Comment 4 Caius Chance 2008-12-09 01:40:27 EST
Built to rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=988575
Comment 5 san 2008-12-09 03:25:05 EST
(In reply to comment #2)
> I tried to work on your demand, could you kindly have a look sample:
> 
> http://fedorapeople.org/~cchance/packages/liberation-fonts/LiberationMono-BoldItalic.sfd
> 
> http://fedorapeople.org/~cchance/packages/liberation-fonts/LiberationMono-BoldItalic.ttf
> 
> Let me know if you are happy with that. So I could proceed changes on all
> included fonts.

I check with the fonts from https://fedorahosted.org/releases/l/i/liberation-fonts/liberation-fonts-1.04.93.devel.zip,  all fixed. Thanks.

Here I put  the reason to report the bug:

1) to follow the unicode reference: 
    http://www.fileformat.info/info/unicode/char/00a2/index.htm

2) cent sign marked as acrossed C is more clear and easy to designate in small size.


Liberation fonts will be the first choice for LGC.  Thank you !
Comment 7 Cody Boisclair 2009-01-09 01:01:39 EST
Created attachment 328522 [details]
Display of cent sign in Sans and Mono with bytecode hinting

Hinting for ¢ is completely broken-- particularly in Mono.
Comment 8 Cody Boisclair 2009-01-09 01:02:12 EST
The hinting has not been adjusted for the new design of the ¢ sign - see attachment 328522 [details] which I just posted.
Comment 9 Bug Zapper 2009-06-09 06:06:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Caius Chance 2009-06-30 22:51:04 EDT
I don't have knowledge of hinting at the moment.
Comment 11 Jens Petersen 2010-01-13 01:07:44 EST
So better to revert?
Comment 12 Cody Boisclair 2010-01-13 01:12:42 EST
It appears it's already been reverted in the latest releases on FedoraHosted, which have been re-generated from the Ascender-provided 1.02 release.

But yes, I agree, keep the original Ascender glyph unless you're willing to re-hint the cent sign for the benefit of Freetype builds that use bytecode hinting.
Comment 13 Bug Zapper 2010-04-27 08:27:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Caius Chance 2010-05-05 04:04:59 EDT
Done - http://koji.fedoraproject.org/koji/buildinfo?buildID=171510

Auto instruction by FontForge will be done after any changes on a given glyph. Hinting instructions came from the first version will be defined as legacy which is alright to be obsoleted if needed.

Note You need to log in before you can comment on or make changes to this bug.